
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux中shell模拟多线程执行任务详解 / iVAN</title>

    <meta name="description" content="linux中shell模拟多线程执行任务详解 shell本身是不能实现多线程的,但是可以通过启动子进程,并将子进程放入后台执行来模拟多线程,为了在提高脚本执行效率的同时又不明显增加负载的作用,还需要对同时放入后台的进程数做下限制.  代码如下 复制代码 #!/bin/bash set -x  # 开启调试模式 #判断是否有参数 if [ $# != 1 ];then     echo &quot;您输入的参数有误&quot;     exit -1 fi # 允许的最大进程数 MAX_THREAD_NUM=5 tmp_fifo_file=/ ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux中shell模拟多线程执行任务详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>shell本身是不能实现多线程的，但是可以通过启动子进程，并将子进程放入后台执行来模拟多线程，为了在提高脚本执行效率的同时又不明显增加负载的作用，还需要对同时放入后台的进程数做下限制。</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />#!/bin/bash<br />
set -x  # 开启调试模式</p>
<p>#判断是否有参数<br />
if [ $# != 1 ];then<br />
    echo "您输入的参数有误"<br />
    exit -1<br />
fi</p>
<p># 允许的最大进程数<br />
MAX_THREAD_NUM=5</p>
<p>tmp_fifo_file=/tmp/$$.fifo # 以脚本运行的当前进程ID号作为文件名<br />
mkfifo "$tmp_fifo_file"    # 新建一个随机fifo管道文件<br />
exec 9&lt;&gt;"$tmp_fifo_file"   # 定义文件描述符9指向这个fifo管道文件<br />
rm "$tmp_fifo_file"</p>
<p># 预先写入指定数量的换行符到fifo管道文件中，一个换行符代表一个进程<br />
for((i=0;i&lt;$MAX_THREAD_NUM;i++));do<br />
     echo <br />
done &gt;&amp;9</p>
<p># 循环读出url并判断状态码<br />
while read line<br />
do<br />
{<br />
    # 进程控制<br />
    read -u 9 # 从文件描述符9中读取行，实际指向fifo管道<br />
    {<br />
        isok=`curl -I -L -m 60 -o /dev/null -s -w %{http_code} $line`<br />
        if [ "$isok" = "200" ];then<br />
            echo $line "OK"<br />
        else<br />
            echo $line $isok<br />
        fi<br />
        echo &gt;&amp;9 # ，当前进程结束，往fifo管道文件中写入一个空行<br />
    }&amp;<br />
}<br />
done &lt; $1 wait echo '执行结束' exec 9&gt;&amp;- # 删除文件描述符9</p>
<p>exit 0</p>
</td>
</tr>
</table>
<p>脚本的任务是对一个url列表中的网址进行判断，判断这些网址是否可以继续访问，具体方法是，通过curl获取http的状态码来判断。</p>
<p>上面红色部分{}中的语句被放进子进程中在后台执行，当fifo中5个空行读完后，循环继续等待 read 中读取fifo数据，当后台的子进程完成任务后，排队往fifo输入空行，这样fifo中又有了数据，循环继续执行。</p>
<p>下面看看shell执行的结果</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2"># bash scanUrl.sh url.txt <br />
+ '[' 1 '!=' 1 ']'<br />
+ MAX_THREAD_NUM=5<br />
+ tmp_fifo_file=/tmp/111cn.net <br />
+ mkfifo /tmp/111cn.net <br />
+ exec<br />
+ rm /tmp/111cn.net <br />
+ (( i=0 ))<br />
+ (( i&lt;5 ))<br />
+ echo<br />
+ (( i++ ))<br />
+ (( i&lt;5 ))<br />
+ echo<br />
+ (( i++ ))<br />
+ (( i&lt;5 ))<br />
+ echo<br />
+ (( i++ ))<br />
+ (( i&lt;5 ))<br />
+ echo<br />
+ (( i++ ))<br />
+ (( i&lt;5 ))<br />
+ echo<br />
+ (( i++ ))<br />
+ (( i&lt;5 ))<br />
+ read line<br />
+ read -u 9<br />
++ curl -I -L -m 60 -o /dev/null -s -w '%{http_code}' http://111cn.net /<br />
+ read line<br />
+ read -u 9<br />
++ curl -I -L -m 60 -o /dev/null -s -w '%{http_code}' http://111cn.net /<br />
+ read line<br />
+ read -u 9<br />
++ curl -I -L -m 60 -o /dev/null -s -w '%{http_code}' http://111cn.net /<br />
+ read line<br />
+ read -u 9<br />
++ curl -I -L -m 60 -o /dev/null -s -w '%{http_code}' http://111cn.net /<br />
+ read line<br />
+ read -u 9<br />
++ curl -I -L -m 60 -o /dev/null -s -w '%{http_code}' http://111cn.net /<br />
+ read line<br />
+ read -u 9      # fifo文件中的5个空行读完了，等待其它子进程写入fifo<br />
+ isok=200<br />
+ '[' 200 = 200 ']'<br />
+ echo http://111cn.net / OK<br />
http://111cn.net / OK<br />
+ echo          # 这个子进程完成任务，写入fifo一个空行，启动一个子进程<br />
++ curl -I -L -m 60 -o /dev/null -s -w '%{http_code}' http://111cn.net /<br />
+ read line<br />
+ read -u 9<br />
+ isok=200<br />
+ '[' 200 = 200 ']'<br />
+ echo http://50vip.com/ OK<br />
http://50vip.com/ OK<br />
+ echo<br />
++ curl -I -L -m 60 -o /dev/null -s -w '%{http_code}' http://111cn.net /info/<br />
+ read line<br />
+ read -u 9<br />
+ isok=200<br />
+ '[' 200 = 200 ']'<br />
+ echo http://361a.net/ OK<br />
http://361a.net/ OK<br />
+ echo<br />
++ curl -I -L -m 60 -o /dev/null -s -w '%{http_code}' http://111cn.net /<br />
+ read line<br />
+ wait         # 输入文件中的url都已经处理完成或在子进程中处理，等待所有子进程结束<br />
+ isok=200<br />
+ '[' 200 = 200 ']'<br />
+ echo http://111cn.net / OK<br />
http://111cn.net / OK<br />
+ echo<br />
+ isok=000<br />
+ '[' 000 = 200 ']'<br />
+ echo http://5imovie.org/ 000<br />
http://5imovie.org/ 000<br />
+ echo<br />
+ isok=200<br />
+ '[' 200 = 200 ']'<br />
+ echo http://111cn.net / OK<br />
http://52ixwebhosting.com/ OK<br />
+ echo<br />
+ isok=404<br />
+ '[' 404 = 200 ']'<br />
+ echo http://111cn.net /info/ 404<br />
http://111cn.net /info/ 404<br />
+ echo<br />
+ isok=000<br />
+ '[' 000 = 200 ']'<br />
+ echo http://111cn.net / 000<br />
http://42.hcocoa.com/ 000<br />
+ echo<br />
+ echo $'346211247350241214347273223346235237'<br />
执行结束<br />
+ exec<br />
+ exit 0</td>
</tr>
</table>
<p>下面我们再来看个例子</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">#!/bin/bash<br />
function pinghost {<br />
ping $1 -c 1 -w 10 |grep rtt|cut -d “/” -f6<br />
}<br />
tmp_fifofile=”/tmp/$.fifo”   # 脚本运行的当前进程ID号作为文件名<br />
mkfifo $tmp_fifofile         # 新建一个随机fifo管道文件<br />
exec 6&lt;&gt;$tmp_fifofile         # 定义文件描述符6指向这个fifo管道文件<br />
rm $tmp_fifofile<br />
thread=10<br />
for ((i=0;i&lt;$thread;i++));do   # for循环 往 fifo管道文件中写入10个空行<br />
echo<br />
done &gt;&amp;6<br />
while read domain<br />
do<br />
read -u6                  # 从文件描述符6中读取行（实际指向fifo管道)<br />
{<br />
pinghost ${domain};      # 执行pinghost函数<br />
echo &gt;&amp;6                      # 再次往fifo管道文件中写入一个空行。<br />
}&amp;                                  # 放到后台执行<br />
done&lt;/home/miotour/ip.txt<br />
wait                          #因为之前的进程都是后台执行，因此要有wait来等待所有的进程都执行完毕后才算整个脚本跑完。<br />
exec 6&gt;&amp;-                #删除文件描述符6<br />
exit 0
</td>
</tr>
</table>
<p>说明:{} 这部分语句被放入后台作为一个子进程执行，这部分几乎是同时完成的，当fifo中10个空行读完后 while循环<br />
继续等待 read 中读取fifo数据，当后台的10个子进程后，按次序排队往fifo输入空行，这样fifo中又有了数据，for语句继续执行。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 19:20:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/shell/" title="shell">shell</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%ba%bf%e7%a8%8b/" title="多线程">多线程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux中shell模拟多线程执行任务详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDwP8Bp.html" rel="bookmark">linux中Nginx与Lua执行顺序详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1. 介绍 ngx_lua – 把lua语言嵌入nginx中,使其支持lua来快速开发基于nginx下的业务逻辑 该模块不在nginx源码包中,需自行下载编译安装.使用lua 5.1(目前不支持lua 5.2) 或 luajit 2.0 . 添加lua支持后,开发复杂的模块,周期快,依然是100%异步非阻塞. ngx_lua 哪些人在用: 淘宝.腾讯财经.网易财经.360.去哪儿网等 CloudFlare, CNN, Wingify, Reblaze, Turner, Broadcastin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBrq8M.html" rel="bookmark">Linux中工作管理与系统资源查看详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Part One 工作管理 工作管理指的是在单个登录终端同时管理多个工作的行为.Linux中的工作管理,简而言之就是把工作放在后台运行的行为.在windows中,我们经常也会针对各种工作做出管理,常用的将工作放在后台的方式就是最小化某个应用程序.那么为什么要对工作进行管理呢?在windows中这很好理解,我们要对其他工作进行操作时,一般只有将当前工作界面最小化才能方便处理其他工作.同样的,在Linux中,比如我们执行cp命令复制一个很大的文件时,如果不是将其置于后台执行,就只能等到复制完成才能对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My2ZLJp.html" rel="bookmark">linux中crontab命令启动&sol;重启&sol;停止详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux 系统则是由 cron (crond) 这个系统服务来控制的.Linux 系统上面原本就有非常多的计划性工作,因此这个系统服务是默认启动的.另 外, 由于使用者自己也可以设置计划任务,所以, Linux 系统也提供了使用者控制计划任务的命令 :crontab 命令. 一.crond简介 crond 是linux下用来周期性的执行某种任务或等待处理某些事件的一个守护进程,与windows下的计划任务类似,当安装完成操作系统后,默认会安装此服务 工具,并且会自动启动crond进程,cron			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZjrDz.html" rel="bookmark">Linux系统Shell命令常用功能使用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Linux系统中Shell不仅仅是一个命令,而且是其他命令的解释器.可以调试其他命令,从而完成编译.那么Linux系统中Shell命令应该怎么使用呢? 其实作为命令语言互动式地解释和执行用户输入的命令只是Shell功能的一个方面,Shell还可以用来进行程序设计,它提供了定义变量和参数的手段以及丰富的程序控制结构.使用Shell编程类似于DOS中的批处理文件,称为Shell script,又叫Shell程序或Shell命令文件. Shell基本语法 像高级程序设计语言一样,Shell也提供说			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn69Grp.html" rel="bookmark">Linux中编译安装MemcacheQ的步骤详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				队列(Queue)是一种常用的数据结构.在队列这种数据结构中,最先插入的元素将会最先被取出:反之最后插入的元素将会最后被取出,因此队列又称为&quot;先进先出&quot;(FIFO:First In First Out)的线性表. 加入元素的一端叫&quot;队尾&quot;,取出元素的一端叫&quot;队头&quot;.利用消息队列可以很好地异步处理数据的传送和存储,当遇到频繁且密集地向后端数据库中插入数据时,就可采用消息队列来异步处理这些数据写入. MemcacheQ是一款基于Memcache协议的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXverp.html" rel="bookmark">linux中samba的部署及应用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				samba: 启动服务:nmb.server:smb.server 会通过文件系统的方式输出给客户端 smb:Service Message Block:服务信息块 cifs:Common Internet File System,通用互联网文件系统 samba:Andrew Tridgell:热情奔放的桑巴舞,主要的协议 cifs,协议 1.功能: 文件系统共享: NetBIOS协议: 打印服务: 2.工作模型 peer to peer(Work Group):工作组模型 domain dev			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJwom2b.html" rel="bookmark">linux中pip安装步骤与使用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.pip下载安装 1.1 pip下载  代码如下 复制代码 # wget &quot;https://pypi.python.org/packages/source/p/pip/pip-1.5.4.tar.gz#md5=834b2904f92d46aaa333267fb1c922bb&quot; --no-check-certificate 1.2 pip安装  代码如下 复制代码 # tar -xzvf pip-1.5.4.tar.gz # cd pip-1.5.4 # python setup.py			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm3485b.html" rel="bookmark">linux中sosreport工具安装使用方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sosreport是一个类型于supportconfig 的工具,sosreport是python编写的一个工具,适用于centos(和redhat一样,包名为sos).ubuntu(其下包名为sosreport)等大多数版本的linux .sosreport在github上的托管页面为:https://github.com/sosreport/sos ,而且默认在很多系统的源里都已经集成有.如果使用的是正版redhat,在出现系统问题,寻求官方支持时,官方一般也会通过sosreport将收集的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8kyBM.html" rel="bookmark">Linux中fork，vfork和clone详解（区别与联系）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				fork,vfork,clone Unix标准的复制进程的系统调用时fork(即分叉),但是Linux,BSD等操作系统并不止实现这一个,确切的说linux实现了三个,fork,vfork,clone(确切说vfork创造出来的是轻量级进程,也叫线程,是共享资源的进程) 系统调用 描述 fork fork创造的子进程是父进程的完整副本,复制了父亲进程的资源,包括内存的内容task_struct内容 vfork vfork创建的子进程与父进程共享数据段,而且由vfork()创建的子进程将先于父进程			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg0qAp.html" rel="bookmark" class="title">&period;NET应用技巧：非托管COM组件的使用</a>
					<div>
						众所周知,asp.net是基于通用语言运行库创建的,也就是所谓的托管执行环境.生成的代码称为托管代码.编译器能够从源代码的描述中产生元数据信息,而运行库又从元数据中获得托管代码的信息.而我们编写的组件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5EZmp.html" rel="bookmark" class="title">考察禁用浏览器后退按钮</a>
					<div>
						按钮|禁用|浏览器 浏览器的后退按钮使得我们能够方便地返回以前访问过的页面,它无疑非常有用.但有时候我们不得不关闭这个功能,以防止用户打乱预定的页面访问次序.本文介绍网络上可找到的各种禁用浏览器后退按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b20rkp.html" rel="bookmark" class="title">在动态网页技术PHP5中类&lpar;CLASS&rpar;的新特征</a>
					<div>
						php5新添加了好多的新函数和特征,但是在目前最新的chm的手册中都没有体现,要到在线的手册中查找,烦啊! 废话不多说了,来看看php5中全新的class对比php2的class有什么新的特征. 1/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQyo0b.html" rel="bookmark" class="title">针对性和专业性将是未来网站竞争力中的两把利器</a>
					<div>
						现在的社会来到一个细分化社会,比如一个一万人的小镇只需要一家小商店就行了,一个十万人的城市就需要一个大型百货超市了,假如一个过百万人的城市就需要无数针对性极强的专业店铺了.以前以超市为主,但现在的专卖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy5Bxb.html" rel="bookmark" class="title">excel怎么隐藏单元格</a>
					<div>
						  excel显示隐藏单元格的方法: 隐藏单元格步骤1:比如下面表中的基本工资,我们想把它隐藏起来,不让人看到,应该如何隐藏? 隐藏单元格步骤2:我们可以把字体设置成白色,白色字体和表格背景颜色一样, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGGoWp.html" rel="bookmark" class="title">PS制作梦幻之光</a>
					<div>
						效果图: 1 photoshop教程打开PS[我这里是CS6] 新建一个400*470的画布 前景色填充黑色 2选择自定义形状工具,选择叶型装饰2 图形 按住shift键拖动鼠标.在画面中绘制该图形  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArrK3p.html" rel="bookmark" class="title">macbook pro 2016发布时间</a>
					<div>
						  macbook pro 2016发布时间          macbook pro 2016发布时间从iphone7发布会开始一直等,终于在北京时间10月20日凌晨消息,今日苹果向媒体公开邀请涵, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oZrnb.html" rel="bookmark" class="title">VMware11安装Mac OS X10遇到提示不可恢复该怎么办？</a>
					<div>
						  VMware11安装Mac OS X10提示不可恢复错误(vcpu-0)怎么办?本文将详细介绍如何解决VMware11安装Mac OS X10提示不可恢复错误. 错误提示: &quot;VMwar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo73n3b.html" rel="bookmark" class="title">win7系统如何把酷狗音乐里面的歌曲传送到手机里面</a>
					<div>
						  win7系统如何把酷狗音乐里面的歌曲传送到手机里面          具体方法如下: 1.首先打开酷狗,在搜索栏里面搜索你想要的歌曲,如下图,然后回车; 2.找到想要的歌曲,点击右边下载图标; 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJe1op.html" rel="bookmark" class="title">VA面板是什么</a>
					<div>
						  (Multi-domain Vertical Alignment,多象限垂直配向技术)可以说是最早出现的广视角液晶面板技术.该类面板可以提供更大的可视角度,通常可达到170°.通过技术授权,我国台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAylYM.html" rel="bookmark" class="title">gc concurrent-应用在屏幕锁屏后再无响应</a>
					<div>
						问题描述 应用在屏幕锁屏后再无响应 最近做一个应用,log一直在打印 GC_CONCURRENT freed 433k7% free 7975K/8564Kpaused 12ms+4ms total  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVqWBb.html" rel="bookmark" class="title">FileZilla Client 3&period;26&period;1 发布，FTP 解决方案</a>
					<div>
						FileZilla Client 3.26.1 发布了,FileZilla 是一个快速.可信赖的 FTP 客户端以及服务器端的开放源代码程序,具有多种特色.直观的接口.本次更新内容如下: 修改密码设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwW8rp.html" rel="bookmark" class="title">封装GCD以及介绍如何使用</a>
					<div>
						  源码地址 http://pan.baidu.com/s/1zTUR8 研究GCD有一段时间,翻译了多篇文章,找了很多的资料,看了很多官方文档,看起来很难,实际上很简单,本人一一进行讲解怎么使用.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW284mb.html" rel="bookmark" class="title">3 0-关于Android手机与CC2540的通讯问题&lpar;关键字：BLE，android 蓝牙3&period;0&rpar;</a>
					<div>
						问题描述 关于Android手机与CC2540的通讯问题(关键字:BLE,android 蓝牙3.0) Android程序想与CC2540通讯,用的是蓝牙3.0 Android程序发送一段命令,然后C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAXkeM.html" rel="bookmark" class="title">android-如何锁定返回按钮的问题</a>
					<div>
						问题描述 如何锁定返回按钮的问题 我想实现当访问数据时就锁定返回按钮.我使用 AsyncTask 来传递数据: class Process extends AsyncTask&lt;String St ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZqKWM.html" rel="bookmark" class="title">总是超时 ios-android httpurlconnection或者httpclient总是超时</a>
					<div>
						问题描述 android httpurlconnection或者httpclient总是超时 android httpurlconnection或者httpclient总是超时,服务器正常,但网络正常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDewOXb.html" rel="bookmark" class="title">《编程语言实现模式》笔记（一）词法和句法分析</a>
					<div>
						&lt;编程语言实现模式?可以理解为编程语言的&lt;设计模式&gt;,这本书的中文翻译通俗易懂,非常适合没有基础的人阅读. 本节主要介绍第一部分,词法分析和句法分析.   1.为什么需要学习这些模式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqREKz.html" rel="bookmark" class="title">ndroid获得开机通知-Android开发时获得开启的通知</a>
					<div>
						问题描述 Android开发时获得开启的通知 敲代码遇到一个问题,许久未解决,求解:怎么实现收到开机的广播,程序大致的需求是在开机后谈一个对话框,关键是开机这个广播收不到 [查资料说:在应用进程没有启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqLYWz.html" rel="bookmark" class="title">spark run-example permission denied</a>
					<div>
						问题描述 spark run-example permission denied 1C 安装完spark 之后,运行 示例时,出现 无权限访问错误 permission denied,是否有人遇到同样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rGk0z.html" rel="bookmark" class="title">java-子类继承父类，表示is  a  。为什么还要有private 修饰的方法和属性访问不到呢？</a>
					<div>
						问题描述 子类继承父类,表示is a .为什么还要有private 修饰的方法和属性访问不到呢? 子类继承父类,表示is a .为什么还要有private 修饰的方法和属性访问不到呢? 解决方案 这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBy4GM.html" rel="bookmark" class="title">怎样根据一组gps坐标来找出其中的拐点</a>
					<div>
						问题描述 现在有一组gps经纬度坐标,现在我想计算出其中的拐点比如点(x1,y1)和(x2,y2)这两个点组成的线与(x2,y2)和(x3,y3)这两个点组成的线所组成的角度,如果大于一定的数值,就认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nl5jz.html" rel="bookmark" class="title">winapi-初学windows程序设计，为什么是未定义标识符啊，需要include头文件么？&lpar;vs2015&rpar;</a>
					<div>
						问题描述 初学windows程序设计,为什么是未定义标识符啊,需要include头文件么?(vs2015) #include LRESULT CALLBACK WndProc(HWND, UINT,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoDGAM.html" rel="bookmark" class="title">求 interop Forms toolkit 教程</a>
					<div>
						问题描述 如题,求使用教程! 解决方案 解决方案二:示例:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodxNXM.html" rel="bookmark" class="title">VMware vForum 2012 免费开发者盛会，诚邀您参与</a>
					<div>
						问题描述 VMwarevForum2012免费开发者盛会,诚邀您参与2012年11月,VMware研发实验室的资深架构师张轩宁.淡成等携手IT顶尖企业专家,为你揭密CloudFoundry的核心架构和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYnRWb.html" rel="bookmark" class="title">vivo xplay5分屏多任务怎么开启使用&quest;</a>
					<div>
						vivo Xplay5分屏怎么弄? 1.我们只要打开手机vivo Xplay5然后在进入到的手机&quot;桌面&quot;中找到[设置]选项,然后点击它打开进入 2.好了在进入之后我们找到&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5nX0z.html" rel="bookmark" class="title">Illustrator绘制一枚玻璃质感云图标教程</a>
					<div>
						给各位Illustrator软件的使用者们来详细的解析分享一下绘制一枚玻璃质感云图标的教程. 教程分享:   第一步 使用椭圆工具画几个圆(按shift+椭圆工具),如下图.   选中A.B椭圆,底对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk43vz.html" rel="bookmark" class="title">PHP命令行采集所有股票趋势信息程序</a>
					<div>
						最近帮朋友写了一个简单的股票采集工具,采集的同花顺股票趋势信息,使用php命令行模式编写.只完成了采集部分功能,将输出的数据复制到execl(或ET)分析,比任何后台都方便. 主要函数只有一个类实现( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE68Bz.html" rel="bookmark" class="title">php常用图片处理类</a>
					<div>
						 代码如下 复制代码 &lt;?php /*已知问题:1.在图片缩放功能中,使用imagecreatetruecolor函数创建画布,并使用透明处理算法,但PNG格式的图片无法透明.用imagecre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNEorp.html" rel="bookmark" class="title">CNN提速23&period;5倍！Facebook开源DL模块带给我们什么？</a>
					<div>
						Geoffrey Hinton的努力,使得深度学习(Deep Learning,DL)成为实现机器智能的核心技术.然而,深度学习的一些坑,如大型神经网络的计算负载.训练性能,并不那么容易克服.现在,深 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdv77xb.html" rel="bookmark" class="title">盘点2014：最受关注的十大云服务创业公司</a>
					<div>
						云技术带来了技术爆炸,其快速的发展为创业公司带来了与传统巨头竞争的机会.这些创业公司很多都是些离开大公司且技术经验丰富的人,当然还有一些野心勃勃的年轻创业者,他们借助IT市场快速迭代的需求,服务范围从 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
